MP3WRAP(1)

NAME
mp3wrap — Utility for mp3 wrapping

SYNOPSIS

mp3wrap [options] OUTPUTFILE f1.mp3 f2.mp3 [f3.mp3]...

DESCRIPTION

Mp3Wrap is a free command-line utility, which wraps two or more mp3 files in one large playable file, without losing filename and ID3 informations. It's useful to make large files easy to download on internet and then easy to split again in few seconds. You can split original files using mp3splt: http://mp3splt.sourceforge.net

Mp3Wrap will create a file named: OUTPUTFILE_MP3WRAP.mp3. It's important you don't remove the MP3WRAP string, because this will tell the split program Mp3Splt that the file is wrapped and can be splitted just with -w option. There is also the possibility to specify a custom extension to created file (such as "OUTPUTFILE - MP3WRAP - wrapped by me.mp3"). This can be done using config file (see below), just adding the line "EXT=my ext.mp3" into it. Note that your custom extension must contain MP3WRAP string anywhere, otherwise program will add it by itself.

Mp3Wrap will also add to the file a ID3v2 containing informations on how to split the file; you can change Title and Album tags but PLEASE DO NOT REMOVE THE COMMENT.

OPTIONS

-a  Add specified files to an existing Mp3Wrap file. Files are appended and the index is updated.

-l  List all files wrapped into a Mp3Wrap file. Doesn't extract anything

-v  Verbose mode. Mp3Wrap will display additional informations on process and, when using list option (-l) it will show many extra infos on wrapped files.

CONFIGURATION FILE

For Linux version valid configuration files are:

    ~/.mp3wrap (in home directory)

    .mp3wrap (in the dir you are in that moment).

For WIN32 version:

    PROG_DIR/mp3wrap.ini (dir where mp3wrap.exe is)

    mp3wrap.ini (in the dir you are in that moment).

FILE FORMAT

The file consists of key-value pairs in the form
    KEY=value
where key contains no whitespace and no equal signs. value will be all of the text after the equal sign until (but not including) the ending newline. Beware of extra spaces at the end of the line! They will probably be interpreted as part of the option value. Valid option keys are:

    EXT The extension mp3wrap will append to created files.

Here is an example:
    EXT=_MP3WRAP_wrapped by me.mp3

EXAMPLES

mp3wrap album.mp3 file1.mp3 file2.mp3 file3.mp3 file4.mp3

mp3wrap -v album.mp3 file*.mp3

mp3wrap -a album.mp3 file5.mp3 file6.mp3

mp3wrap -l album.mp3

mp3wrap -lv album.mp3

BUGS

Report any bugs you find to Author (see below). Advices and info requests are welcome.

SEE ALSO

mp3splt(1)

AUTHOR

Matteo Trotta <mtrotta@users.sourceforge.net>.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License. This can be found as COPYING in mp3wrap directory.